Package org.lwjgl.opencl

# Class CLPlatformCapabilities

java.lang.Object
org.lwjgl.opencl.CLPlatformCapabilities

public class CLPlatformCapabilities extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`CL_APPLE_gl_sharing`
`final boolean`
`CL_APPLE_SetMemObjectDestructor`
`final boolean`
`CL_KHR_d3d10_sharing`
`final boolean`
`CL_KHR_gl_event`
`final boolean`
`CL_KHR_gl_sharing`
`final boolean`
`CL_KHR_icd`
`final int`
`majorVersion`
`final int`
`minorVersion`
`final boolean`
`OpenCL11`
`final boolean`
`OpenCL12`

## Constructor Summary

Constructors
Constructor
Description
`CLPlatformCapabilities(CLPlatform platform)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### majorVersion

public final int majorVersion

### minorVersion

public final int minorVersion

### OpenCL11

public final boolean OpenCL11

### OpenCL12

public final boolean OpenCL12

### CL_APPLE_SetMemObjectDestructor

public final boolean CL_APPLE_SetMemObjectDestructor

### CL_APPLE_gl_sharing

public final boolean CL_APPLE_gl_sharing

### CL_KHR_d3d10_sharing

public final boolean CL_KHR_d3d10_sharing

### CL_KHR_gl_event

public final boolean CL_KHR_gl_event

### CL_KHR_gl_sharing

public final boolean CL_KHR_gl_sharing

### CL_KHR_icd

public final boolean CL_KHR_icd

## Constructor Details

### CLPlatformCapabilities

public CLPlatformCapabilities(CLPlatform platform)

## Method Details

### getMajorVersion

public int getMajorVersion()

### getMinorVersion

public int getMinorVersion()

### toString

public String toString()

Overrides:
  `toString` in class `Object`